/brevo-loyalty | Type: Application | PCID required: Yes
Tools
brevo_loyalty_add_subscription_to_tier
Assign a tier Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
cid | string | Yes | — | Contact ID |
tid | string | Yes | — | Tier ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"cid": {
"type": "string",
"description": "Contact ID"
},
"tid": {
"type": "string",
"description": "Tier ID"
}
},
"required": [
"PCID",
"pid",
"cid",
"tid"
]
}
brevo_loyalty_begin_transaction
Create new transaction Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
amount | number | Yes | — | Transaction amount. A positive value creates a credit transaction and a negative value creates a debit transaction (unless transactionType is explicitly provided). |
autoComplete | boolean | No | — | Whether the transaction should be automatically completed. |
balanceDefinitionId | string | Yes | — | Unique identifier (UUID) of the associated balance definition. |
balanceExpiryInMinutes | integer | No | — | Expiry time for the balance in minutes. Must be greater than 0 if provided. Only applicable when autoComplete is true. |
contactId | integer | No | — | Unique identifier of the contact involved in the transaction. Required unless LoyaltySubscriptionId is provided. |
eventTime | string | No | — | Timestamp specifying when the transaction event occurred (ISO 8601 / RFC 3339 format). |
LoyaltySubscriptionId | string | No | — | Unique identifier for the loyalty subscription. Required unless contactId is provided. |
meta | object | No | — | Optional metadata associated with the transaction. |
transactionType | string | No | — | Explicit transaction type. If not provided, the type is inferred from the sign of the amount (positive = credit, negative = debit). |
ttl | integer | No | — | Time-to-live for the transaction in seconds. Must be at least 10 seconds if provided. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"amount": {
"type": "number",
"description": "Transaction amount. A positive value creates a credit transaction and a negative value creates a debit transaction (unless transactionType is explicitly provided)."
},
"autoComplete": {
"type": "boolean",
"description": "Whether the transaction should be automatically completed."
},
"balanceDefinitionId": {
"type": "string",
"description": "Unique identifier (UUID) of the associated balance definition."
},
"balanceExpiryInMinutes": {
"type": "integer",
"description": "Expiry time for the balance in minutes. Must be greater than 0 if provided. Only applicable when autoComplete is true."
},
"contactId": {
"type": "integer",
"description": "Unique identifier of the contact involved in the transaction. Required unless `LoyaltySubscriptionId` is provided."
},
"eventTime": {
"type": "string",
"description": "Timestamp specifying when the transaction event occurred (ISO 8601 / RFC 3339 format)."
},
"LoyaltySubscriptionId": {
"type": "string",
"description": "Unique identifier for the loyalty subscription. Required unless `contactId` is provided."
},
"meta": {
"type": "object",
"description": "Optional metadata associated with the transaction."
},
"transactionType": {
"type": "string",
"description": "Explicit transaction type. If not provided, the type is inferred from the sign of the amount (positive = credit, negative = debit).",
"enum": [
"credit",
"debit"
]
},
"ttl": {
"type": "integer",
"description": "Time-to-live for the transaction in seconds. Must be at least 10 seconds if provided."
}
},
"required": [
"PCID",
"pid",
"amount",
"balanceDefinitionId"
]
}
brevo_loyalty_cancel_transaction
Cancel transaction Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
tid | string | Yes | — | Transaction Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"tid": {
"type": "string",
"description": "Transaction Id"
}
},
"required": [
"PCID",
"pid",
"tid"
]
}
brevo_loyalty_complete_redeem_transaction
Complete redeem voucher request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
tid | string | Yes | — | Redeem transaction ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"tid": {
"type": "string",
"description": "Redeem transaction ID"
}
},
"required": [
"PCID",
"pid",
"tid"
]
}
brevo_loyalty_complete_transaction
Complete transaction Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
tid | string | Yes | — | Transaction Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"tid": {
"type": "string",
"description": "Transaction Id"
}
},
"required": [
"PCID",
"pid",
"tid"
]
}
brevo_loyalty_create_balance_limit
Create balance limits Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
bdid | string | Yes | — | Balance Definition Id |
constraintType | string | Yes | — | Defines whether the limit applies to transaction count or amount. |
durationUnit | string | Yes | — | Unit of time for which the limit is applicable. |
durationValue | integer | Yes | — | Number of time units for the balance limit. |
slidingSchedule | boolean | No | — | Determines if the limit resets on a rolling schedule. |
transactionType | string | Yes | — | Specifies whether the limit applies to credit or debit transactions. |
value | integer | Yes | — | Maximum allowed value for the specified constraint type. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"bdid": {
"type": "string",
"description": "Balance Definition Id"
},
"constraintType": {
"type": "string",
"description": "Defines whether the limit applies to transaction count or amount.",
"enum": [
"transaction",
"amount"
]
},
"durationUnit": {
"type": "string",
"description": "Unit of time for which the limit is applicable.",
"enum": [
"day",
"week",
"month",
"year"
]
},
"durationValue": {
"type": "integer",
"description": "Number of time units for the balance limit."
},
"slidingSchedule": {
"type": "boolean",
"description": "Determines if the limit resets on a rolling schedule."
},
"transactionType": {
"type": "string",
"description": "Specifies whether the limit applies to credit or debit transactions.",
"enum": [
"credit",
"debit"
]
},
"value": {
"type": "integer",
"description": "Maximum allowed value for the specified constraint type."
}
},
"required": [
"PCID",
"pid",
"bdid",
"constraintType",
"durationUnit",
"durationValue",
"transactionType",
"value"
]
}
brevo_loyalty_create_balance_order
Create balance order Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
amount | number | Yes | — | Order amount (must be non-zero). |
balanceDefinitionId | string | Yes | — | Unique identifier (UUID) of the associated balance definition. |
contactId | integer | Yes | — | Unique identifier of the contact placing the order (must be ≥ 1). |
dueAt | string | Yes | — | RFC3339 timestamp specifying when the order is due. |
expiresAt | string | No | — | Optional RFC3339 timestamp defining order expiration. |
meta | object | No | — | Optional metadata associated with the order. |
source | string | Yes | — | Specifies the origin of the order. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"amount": {
"type": "number",
"description": "Order amount (must be non-zero)."
},
"balanceDefinitionId": {
"type": "string",
"description": "Unique identifier (UUID) of the associated balance definition."
},
"contactId": {
"type": "integer",
"description": "Unique identifier of the contact placing the order (must be ≥ 1)."
},
"dueAt": {
"type": "string",
"description": "RFC3339 timestamp specifying when the order is due."
},
"expiresAt": {
"type": "string",
"description": "Optional RFC3339 timestamp defining order expiration."
},
"meta": {
"type": "object",
"description": "Optional metadata associated with the order."
},
"source": {
"type": "string",
"description": "Specifies the origin of the order.",
"enum": [
"engine",
"user"
]
}
},
"required": [
"PCID",
"pid",
"amount",
"balanceDefinitionId",
"contactId",
"dueAt",
"source"
]
}
brevo_loyalty_create_loyalty_balance_programs_by_pid_balance_definitions
Create balance definition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
balanceAvailabilityDurationModifier | string | No | — | Defines when the balance expires within the selected duration. |
balanceAvailabilityDurationUnit | string | No | — | Unit of time for balance validity. |
balanceAvailabilityDurationValue | integer | No | — | Number of time units before the balance expires. |
balanceExpirationDate | string | No | — | Fixed expiration date (dd/mm format) as an alternative to duration-based expiry. |
balanceOptionAmountOvertakingStrategy | string | No | — | Defines whether partial credit is allowed when reaching max balance. |
balanceOptionCreditRounding | string | No | — | Defines rounding strategy for credit transactions. |
balanceOptionDebitRounding | string | No | — | Defines rounding strategy for debit transactions. |
description | string | No | — | Short description of the balance definition. |
imageRef | string | No | — | URL of an optional image reference. |
maxAmount | number | No | — | Maximum allowable balance amount. |
maxCreditAmountLimit | number | No | — | Maximum credit allowed per operation. |
maxDebitAmountLimit | number | No | — | Maximum debit allowed per operation. |
meta | object | No | — | Additional metadata for the balance definition. |
minAmount | number | No | — | Minimum allowable balance amount. |
name | string | Yes | — | Name of the balance definition. |
unit | string | Yes | — | Unit of balance measurement. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"balanceAvailabilityDurationModifier": {
"type": "string",
"description": "Defines when the balance expires within the selected duration.",
"enum": [
"noModification",
"startOfPeriod",
"endOfPeriod"
]
},
"balanceAvailabilityDurationUnit": {
"type": "string",
"description": "Unit of time for balance validity.",
"enum": [
"day",
"week",
"month",
"year"
]
},
"balanceAvailabilityDurationValue": {
"type": "integer",
"description": "Number of time units before the balance expires."
},
"balanceExpirationDate": {
"type": "string",
"description": "Fixed expiration date (`dd/mm` format) as an alternative to duration-based expiry."
},
"balanceOptionAmountOvertakingStrategy": {
"type": "string",
"description": "Defines whether partial credit is allowed when reaching max balance.",
"enum": [
"strict",
"partial"
]
},
"balanceOptionCreditRounding": {
"type": "string",
"description": "Defines rounding strategy for credit transactions.",
"enum": [
"lower",
"upper",
"natural"
]
},
"balanceOptionDebitRounding": {
"type": "string",
"description": "Defines rounding strategy for debit transactions.",
"enum": [
"lower",
"upper",
"natural"
]
},
"description": {
"type": "string",
"description": "Short description of the balance definition."
},
"imageRef": {
"type": "string",
"description": "URL of an optional image reference."
},
"maxAmount": {
"type": "number",
"description": "Maximum allowable balance amount."
},
"maxCreditAmountLimit": {
"type": "number",
"description": "Maximum credit allowed per operation."
},
"maxDebitAmountLimit": {
"type": "number",
"description": "Maximum debit allowed per operation."
},
"meta": {
"type": "object",
"description": "Additional metadata for the balance definition.",
"properties": {
"isInternal": {
"type": "boolean",
"description": "Indicates whether the balance definition is internal."
}
}
},
"minAmount": {
"type": "number",
"description": "Minimum allowable balance amount."
},
"name": {
"type": "string",
"description": "Name of the balance definition."
},
"unit": {
"type": "string",
"description": "Unit of balance measurement.",
"enum": [
"POINTS",
"EUR",
"USD",
"MXN",
"GBP",
"INR",
"CAD",
"SGD",
"RON",
"JPY",
"MYR",
"CLP",
"PEN",
"MAD",
"AUD",
"CHF",
"BRL"
]
}
},
"required": [
"PCID",
"pid",
"name",
"unit"
]
}
brevo_loyalty_create_loyalty_balance_programs_by_pid_subscriptions_by_cid_balances
Create subscription balances Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
cid | string | Yes | — | Contact Id |
balanceDefinitionId | string | Yes | — | Unique identifier (UUID) of the balance definition associated with the new balance. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"cid": {
"type": "string",
"description": "Contact Id"
},
"balanceDefinitionId": {
"type": "string",
"description": "Unique identifier (UUID) of the balance definition associated with the new balance."
}
},
"required": [
"PCID",
"pid",
"cid",
"balanceDefinitionId"
]
}
brevo_loyalty_create_new_lp
Create loyalty program Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | Optional description of the loyalty program (max 256 chars). |
documentId | string | No | — | Optional unique document ID. |
meta | object | No | — | Optional metadata related to the loyalty program. |
name | string | Yes | — | Required name of the loyalty program (max 128 chars). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"description": {
"type": "string",
"description": "Optional description of the loyalty program (max 256 chars)."
},
"documentId": {
"type": "string",
"description": "Optional unique document ID."
},
"meta": {
"type": "object",
"description": "Optional metadata related to the loyalty program."
},
"name": {
"type": "string",
"description": "Required name of the loyalty program (max 128 chars)."
}
},
"required": [
"PCID",
"name"
]
}
brevo_loyalty_create_reward
Create a reward Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
name | string | Yes | — | Internal name of the reward |
publicDescription | string | No | — | Public facing description of the reward |
publicImage | string | No | — | URL of the public image for the reward |
publicName | string | No | — | Public facing name of the reward |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"name": {
"type": "string",
"description": "Internal name of the reward"
},
"publicDescription": {
"type": "string",
"description": "Public facing description of the reward"
},
"publicImage": {
"type": "string",
"description": "URL of the public image for the reward"
},
"publicName": {
"type": "string",
"description": "Public facing name of the reward"
}
},
"required": [
"PCID",
"pid",
"name"
]
}
brevo_loyalty_create_tier_for_tier_group
Create a tier Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
gid | string | Yes | — | Tier group ID |
accessConditions | object[] | Yes | — | Access Conditions |
imageRef | string | No | — | Image of the tier |
name | string | Yes | — | Name of the tier to be created |
tierRewards | object[] | No | — | Tier Rewards |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"gid": {
"type": "string",
"description": "Tier group ID"
},
"accessConditions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"balanceDefinitionId": {
"type": "string",
"format": "uuid",
"description": "Balance definition identifier for accessing the tier"
},
"minimumValue": {
"type": "integer",
"description": "Minimum value required to access the tier"
}
}
},
"description": "Access Conditions"
},
"imageRef": {
"type": "string",
"description": "Image of the tier"
},
"name": {
"type": "string",
"description": "Name of the tier to be created"
},
"tierRewards": {
"type": "array",
"items": {
"type": "object",
"properties": {
"rewardId": {
"type": "string",
"format": "uuid",
"description": "Reward unique identifier"
}
}
},
"description": "Tier Rewards"
}
},
"required": [
"PCID",
"pid",
"gid",
"accessConditions",
"name"
]
}
brevo_loyalty_create_tier_group
Create a tier group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
downgradeSchedule | object | No | — | Schedule configuration for tier downgrades. Required when downgradeStrategy is set to a schedule-based strategy. |
downgradeStrategy | string | No | — | Select real_time to downgrade tier on real time balance updates. Select membership_anniversary to downgrade tier on subscription anniversary. Select tier_anniversary to downgrade tier on tier anniversary. |
meta | object | No | — | Additional metadata for the tier group. |
name | string | Yes | — | Name of the tier group |
tierOrder | string[] | No | — | Order of the tiers in the group in ascending order |
upgradeSchedule | object | No | — | Schedule configuration for tier upgrades. Required when upgradeStrategy is set to a schedule-based strategy. |
upgradeStrategy | string | No | — | Select real_time to upgrade tier on real time balance updates. Select membership_anniversary to upgrade tier on subscription anniversary. Select tier_anniversary to upgrade tier on tier anniversary. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"downgradeSchedule": {
"type": "object",
"description": "Schedule configuration for tier downgrades. Required when downgradeStrategy is set to a schedule-based strategy.",
"properties": {
"durationValue": {
"type": "integer",
"description": "Duration value for the schedule."
},
"durationUnit": {
"type": "string",
"description": "Duration unit for the schedule.",
"enum": [
"day",
"week",
"month",
"year"
]
},
"durationModifier": {
"type": "string",
"description": "Modifier for the duration.",
"enum": [
"start_of_period",
"end_of_period"
]
},
"scheduledDate": {
"type": "string",
"description": "Scheduled date in DD/MM format."
}
}
},
"downgradeStrategy": {
"type": "string",
"description": "Select real_time to downgrade tier on real time balance updates. Select membership_anniversary to downgrade tier on subscription anniversary. Select tier_anniversary to downgrade tier on tier anniversary.",
"enum": [
"real_time",
"membership_anniversary",
"tier_anniversary"
]
},
"meta": {
"type": "object",
"description": "Additional metadata for the tier group.",
"properties": {
"isInternal": {
"type": "boolean",
"description": "Indicates whether the tier group is internal."
}
}
},
"name": {
"type": "string",
"description": "Name of the tier group"
},
"tierOrder": {
"type": "array",
"items": {
"type": "string"
},
"description": "Order of the tiers in the group in ascending order"
},
"upgradeSchedule": {
"type": "object",
"description": "Schedule configuration for tier upgrades. Required when upgradeStrategy is set to a schedule-based strategy.",
"properties": {
"durationValue": {
"type": "integer",
"description": "Duration value for the schedule."
},
"durationUnit": {
"type": "string",
"description": "Duration unit for the schedule.",
"enum": [
"day",
"week",
"month",
"year"
]
},
"durationModifier": {
"type": "string",
"description": "Modifier for the duration.",
"enum": [
"start_of_period",
"end_of_period"
]
},
"scheduledDate": {
"type": "string",
"description": "Scheduled date in DD/MM format."
}
}
},
"upgradeStrategy": {
"type": "string",
"description": "Select real_time to upgrade tier on real time balance updates. Select membership_anniversary to upgrade tier on subscription anniversary. Select tier_anniversary to upgrade tier on tier anniversary.",
"enum": [
"real_time",
"membership_anniversary",
"tier_anniversary"
]
}
},
"required": [
"PCID",
"pid",
"name"
]
}
brevo_loyalty_create_voucher
Create a voucher Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
code | string | No | — | Code generated to attribute reward to a contact |
contactId | integer | No | — | Contact to attribute the reward |
expirationDate | string | No | — | Reward expiration date |
loyaltySubscriptionId | string | No | — | One of contactId or loyaltySubscriptionId is required |
meta | object | No | — | Offer meta information (key/value object) |
rewardId | string | Yes | — | Reward id |
validFrom | string | No | — | Date from which the voucher becomes valid. Accepts RFC 3339 or DD/MM/YYYY HH:MM AM/PM format. Converted to UTC using the organization’s timezone. |
value | number | No | — | Value of the selected reward config |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"code": {
"type": "string",
"description": "Code generated to attribute reward to a contact"
},
"contactId": {
"type": "integer",
"description": "Contact to attribute the reward"
},
"expirationDate": {
"type": "string",
"description": "Reward expiration date"
},
"loyaltySubscriptionId": {
"type": "string",
"description": "One of contactId or loyaltySubscriptionId is required"
},
"meta": {
"type": "object",
"description": "Offer meta information (key/value object)"
},
"rewardId": {
"type": "string",
"description": "Reward id"
},
"validFrom": {
"type": "string",
"description": "Date from which the voucher becomes valid. Accepts RFC 3339 or DD/MM/YYYY HH:MM AM/PM format. Converted to UTC using the organization's timezone."
},
"value": {
"type": "number",
"description": "Value of the selected reward config"
}
},
"required": [
"PCID",
"pid",
"rewardId"
]
}
brevo_loyalty_delete_balance_definition
Delete balance definition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
bdid | string | Yes | — | Balance Definition Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"bdid": {
"type": "string",
"description": "Balance Definition Id"
}
},
"required": [
"PCID",
"pid",
"bdid"
]
}
brevo_loyalty_delete_balance_limit
Delete balance limit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
bdid | string | Yes | — | Balance Definition Id |
blid | string | Yes | — | Balance Limit Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"bdid": {
"type": "string",
"description": "Balance Definition Id"
},
"blid": {
"type": "string",
"description": "Balance Limit Id"
}
},
"required": [
"PCID",
"pid",
"bdid",
"blid"
]
}
brevo_loyalty_delete_contact_members
Delete subscription member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
memberContactIds | string | Yes | — | Comma-separated list of member contact IDs to delete from the subscription. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
},
"memberContactIds": {
"type": "string",
"description": "Comma-separated list of member contact IDs to delete from the subscription."
}
},
"required": [
"PCID",
"pid",
"memberContactIds"
]
}
brevo_loyalty_delete_contact_subscription
Delete subscription Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
cid | integer | Yes | — | Contact ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
},
"cid": {
"type": "integer",
"description": "Contact ID."
}
},
"required": [
"PCID",
"pid",
"cid"
]
}
brevo_loyalty_delete_program
Delete Loyalty Program Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_delete_tier
Delete tier Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
tid | string | Yes | — | Tier ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"tid": {
"type": "string",
"description": "Tier ID"
}
},
"required": [
"PCID",
"pid",
"tid"
]
}
brevo_loyalty_delete_tier_group
Delete tier group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
gid | string | Yes | — | Tier group ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"gid": {
"type": "string",
"description": "Tier group ID"
}
},
"required": [
"PCID",
"pid",
"gid"
]
}
brevo_loyalty_get_balance_definition
Get balance definition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
bdid | string | Yes | — | Balance Definition Id |
version | string | No | — | The version value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"bdid": {
"type": "string",
"description": "Balance Definition Id"
},
"version": {
"type": "string",
"description": "The version value",
"enum": [
"active",
"draft"
]
}
},
"required": [
"PCID",
"pid",
"bdid"
]
}
brevo_loyalty_get_balance_definition_list
Get balance definition list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
limit | integer | No | — | Limit the number of records returned |
offset | integer | No | — | Offset to paginate records |
sortField | string | No | — | Field to sort by |
sort | string | No | — | Sort direction |
version | string | No | — | The version value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"limit": {
"type": "integer",
"description": "Limit the number of records returned"
},
"offset": {
"type": "integer",
"description": "Offset to paginate records"
},
"sortField": {
"type": "string",
"description": "Field to sort by",
"enum": [
"name",
"created_at",
"updated_at"
]
},
"sort": {
"type": "string",
"description": "Sort direction",
"enum": [
"asc",
"desc"
]
},
"version": {
"type": "string",
"description": "The version value",
"enum": [
"active",
"draft"
]
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_get_balance_limit
Get balance limits Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
version | string | No | — | The version value |
pid | string | Yes | — | Loyalty Program Id |
bdid | string | Yes | — | Balance Definition Id |
blid | string | Yes | — | Balance Limit Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"version": {
"type": "string",
"description": "The version value",
"enum": [
"active",
"draft"
]
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"bdid": {
"type": "string",
"description": "Balance Definition Id"
},
"blid": {
"type": "string",
"description": "Balance Limit Id"
}
},
"required": [
"PCID",
"pid",
"bdid",
"blid"
]
}
brevo_loyalty_get_code_count
Get code count Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
cpid | string | Yes | — | Code Pool ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"cpid": {
"type": "string",
"description": "Code Pool ID"
}
},
"required": [
"PCID",
"pid",
"cpid"
]
}
brevo_loyalty_get_contact_balances
Get balance list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
includeInternal | boolean | No | — | Include balances tied to internal definitions. |
limit | integer | No | — | Limit the number of records returned |
offset | integer | No | — | Skip a number of records |
sort | string | No | — | Sort order |
sortField | string | No | — | Field to sort by |
balanceDefinitionId | string | Yes | — | Balance Definition ID (required) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"includeInternal": {
"type": "boolean",
"description": "Include balances tied to internal definitions."
},
"limit": {
"type": "integer",
"description": "Limit the number of records returned"
},
"offset": {
"type": "integer",
"description": "Skip a number of records"
},
"sort": {
"type": "string",
"description": "Sort order",
"enum": [
"asc",
"desc"
]
},
"sortField": {
"type": "string",
"description": "Field to sort by",
"enum": [
"updatedAt",
"value"
]
},
"balanceDefinitionId": {
"type": "string",
"description": "Balance Definition ID (required)"
}
},
"required": [
"PCID",
"pid",
"balanceDefinitionId"
]
}
brevo_loyalty_get_list_of_tier_groups
List tier groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
version | string | No | — | Select ‘active’ to retrieve list of all tier groups which are live for clients. Select draft to retrieve list of all non deleted tier groups. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"version": {
"type": "string",
"description": "Select 'active' to retrieve list of all tier groups which are live for clients. Select draft to retrieve list of all non deleted tier groups.",
"enum": [
"active",
"draft"
]
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_get_lplist
Get loyalty program list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Number of documents per page |
offset | integer | No | — | Index of the first document in the page |
sort_field | string | No | — | Sort documents by field |
sort | string | No | — | Sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Number of documents per page"
},
"offset": {
"type": "integer",
"description": "Index of the first document in the page"
},
"sort_field": {
"type": "string",
"description": "Sort documents by field",
"enum": [
"name",
"created_at",
"updated_at"
]
},
"sort": {
"type": "string",
"description": "Sort order",
"enum": [
"asc",
"desc"
]
}
},
"required": [
"PCID"
]
}
brevo_loyalty_get_offer_programs_by_pid_rewards_by_rid
Get reward information Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
rid | string | Yes | — | Reward ID |
version | string | No | — | The version value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"rid": {
"type": "string",
"description": "Reward ID"
},
"version": {
"type": "string",
"description": "The version value",
"enum": [
"active",
"draft"
]
}
},
"required": [
"PCID",
"pid",
"rid"
]
}
brevo_loyalty_get_parameter_subscription_info
Get Subscription Data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
contactId | string | No | — | The contact ID to filter by. |
params | string | No | — | A list of filter parameters for querying the subscription info. |
loyaltySubscriptionId | string | No | — | The loyalty subscription ID to filter by. |
includeInternal | boolean | No | — | Include balances tied to internal definitions. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
},
"contactId": {
"type": "string",
"description": "The contact ID to filter by."
},
"params": {
"type": "string",
"description": "A list of filter parameters for querying the subscription info."
},
"loyaltySubscriptionId": {
"type": "string",
"description": "The loyalty subscription ID to filter by."
},
"includeInternal": {
"type": "boolean",
"description": "Include balances tied to internal definitions."
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_get_program_info
Get loyalty program Info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_get_program_tier
List tiers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
version | string | No | — | Select ‘active’ to retrieve list of all tiers which are live for clients. Select draft to retrieve list of all non deleted tiers. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"version": {
"type": "string",
"description": "Select 'active' to retrieve list of all tiers which are live for clients. Select draft to retrieve list of all non deleted tiers.",
"enum": [
"active",
"draft"
]
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_get_subscription_balances
Get subscription balances Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cid | string | Yes | — | Contact Id |
pid | string | Yes | — | Loyalty Program Id |
includeInternal | boolean | No | — | Include balances tied to internal definitions. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cid": {
"type": "string",
"description": "Contact Id"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"includeInternal": {
"type": "boolean",
"description": "Include balances tied to internal definitions."
}
},
"required": [
"PCID",
"cid",
"pid"
]
}
brevo_loyalty_get_tier_group
Get tier group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
gid | string | Yes | — | Tier group ID |
version | string | No | — | Select active to retrieve active version of tier group. Select draft to retrieve latest changes in tier group. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"gid": {
"type": "string",
"description": "Tier group ID"
},
"version": {
"type": "string",
"description": "Select active to retrieve active version of tier group. Select draft to retrieve latest changes in tier group.",
"enum": [
"active",
"draft"
]
}
},
"required": [
"PCID",
"pid",
"gid"
]
}
brevo_loyalty_list_loyalty_balance_programs_by_pid_active_balance
Get Active Balances API Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
limit | integer | No | — | Maximum number of results to return |
offset | integer | No | — | The offset value |
sortField | string | No | — | Sort Field |
sort | string | No | — | Sort Order |
contactId | integer | Yes | — | Contact ID |
balanceDefinitionId | string | Yes | — | Balance Definition ID |
includeInternal | boolean | No | — | Include balances tied to internal definitions. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"offset": {
"type": "integer",
"description": "The offset value"
},
"sortField": {
"type": "string",
"description": "Sort Field",
"enum": [
"createdAt"
]
},
"sort": {
"type": "string",
"description": "Sort Order",
"enum": [
"asc",
"desc"
]
},
"contactId": {
"type": "integer",
"description": "Contact ID"
},
"balanceDefinitionId": {
"type": "string",
"description": "Balance Definition ID"
},
"includeInternal": {
"type": "boolean",
"description": "Include balances tied to internal definitions."
}
},
"required": [
"PCID",
"pid",
"contactId",
"balanceDefinitionId"
]
}
brevo_loyalty_list_loyalty_balance_programs_by_pid_transaction_history
Get Transaction History API Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
limit | integer | No | — | Limit the number of records returned |
offset | integer | No | — | Page number to retrieve |
sortField | string | No | — | Field to sort by |
sort | string | No | — | Sort order |
contactId | integer | Yes | — | Contact ID |
balanceDefinitionId | string | Yes | — | Balance Definition ID |
status | string | No | — | Transaction status filter |
transactionType | string | No | — | Transaction type filter |
loyaltySubscriptionId | string | No | — | Loyalty Subscription ID filter |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"limit": {
"type": "integer",
"description": "Limit the number of records returned"
},
"offset": {
"type": "integer",
"description": "Page number to retrieve"
},
"sortField": {
"type": "string",
"description": "Field to sort by",
"enum": [
"createdAt"
]
},
"sort": {
"type": "string",
"description": "Sort order",
"enum": [
"asc",
"desc"
]
},
"contactId": {
"type": "integer",
"description": "Contact ID"
},
"balanceDefinitionId": {
"type": "string",
"description": "Balance Definition ID"
},
"status": {
"type": "string",
"description": "Transaction status filter",
"enum": [
"draft",
"completed",
"rejected",
"cancelled",
"expired"
]
},
"transactionType": {
"type": "string",
"description": "Transaction type filter",
"enum": [
"credit",
"debit"
]
},
"loyaltySubscriptionId": {
"type": "string",
"description": "Loyalty Subscription ID filter"
}
},
"required": [
"PCID",
"pid",
"contactId",
"balanceDefinitionId"
]
}
brevo_loyalty_list_loyalty_offer_programs_by_pid_offers
Get Reward Page API Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
limit | integer | No | — | Page size |
offset | integer | No | — | Pagination offset |
state | string | No | — | State of the reward |
version | string | No | — | The version value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"limit": {
"type": "integer",
"description": "Page size"
},
"offset": {
"type": "integer",
"description": "Pagination offset"
},
"state": {
"type": "string",
"description": "State of the reward"
},
"version": {
"type": "string",
"description": "The version value",
"enum": [
"active",
"draft"
]
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_list_loyalty_offer_programs_by_pid_vouchers
Get voucher for a contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
limit | integer | No | — | Page size |
offset | integer | No | — | Pagination offset |
sort | string | No | — | Sort order |
sortField | string | No | — | Sort field |
contactId | integer | Yes | — | Contact ID |
metadata_key_value | string | No | — | Metadata value for a Key filter |
rewardId | string | No | — | Reward ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"limit": {
"type": "integer",
"description": "Page size"
},
"offset": {
"type": "integer",
"description": "Pagination offset"
},
"sort": {
"type": "string",
"description": "Sort order",
"enum": [
"asc",
"desc"
]
},
"sortField": {
"type": "string",
"description": "Sort field",
"enum": [
"updatedAt",
"createdAt"
]
},
"contactId": {
"type": "integer",
"description": "Contact ID"
},
"metadata_key_value": {
"type": "string",
"description": "Metadata value for a Key filter"
},
"rewardId": {
"type": "string",
"description": "Reward ID"
}
},
"required": [
"PCID",
"pid",
"contactId"
]
}
brevo_loyalty_partially_update_loyalty_program
Partially update loyalty program Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
description | string | No | — | Loyalty Program description |
meta | object | No | — | Loyalty Program meta data |
name | string | No | — | Loyalty Program name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
},
"description": {
"type": "string",
"description": "Loyalty Program description"
},
"meta": {
"type": "object",
"description": "Loyalty Program meta data"
},
"name": {
"type": "string",
"description": "Loyalty Program name"
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_publish_loyalty_program
Publish loyalty program Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_redeem_voucher
Create redeem voucher request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
attributedRewardId | string | No | — | Unique identifier for the attributed reward |
autoComplete | boolean | No | — | Whether the redemption should be automatically completed |
code | string | No | — | Redemption code for the reward |
contactId | integer | No | — | Unique identifier for the contact |
loyaltySubscriptionId | string | No | — | Identifier for the loyalty subscription |
meta | object | No | — | Additional metadata associated with the redeem request |
order | object | No | — | Order details for the redemption |
rewardId | string | No | — | Unique identifier for the reward |
ttl | integer | No | — | Time to live in seconds for the redemption request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"attributedRewardId": {
"type": "string",
"description": "Unique identifier for the attributed reward"
},
"autoComplete": {
"type": "boolean",
"description": "Whether the redemption should be automatically completed"
},
"code": {
"type": "string",
"description": "Redemption code for the reward"
},
"contactId": {
"type": "integer",
"description": "Unique identifier for the contact"
},
"loyaltySubscriptionId": {
"type": "string",
"description": "Identifier for the loyalty subscription"
},
"meta": {
"type": "object",
"description": "Additional metadata associated with the redeem request"
},
"order": {
"description": "Order details for the redemption"
},
"rewardId": {
"type": "string",
"description": "Unique identifier for the reward"
},
"ttl": {
"type": "integer",
"description": "Time to live in seconds for the redemption request"
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_revoke_vouchers
Revoke vouchers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
attributedRewardIds | string | No | — | Reward Attribution IDs (comma seperated) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"attributedRewardIds": {
"type": "string",
"description": "Reward Attribution IDs (comma seperated)"
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_subscribe_member_to_asubscription
Create subscription member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
contactId | integer | No | — | Required if LoyaltySubscriptionId is not provided, must be greater than 0 |
loyaltySubscriptionId | string | No | — | Required if ContactId is not provided, max length 64 |
memberContactIds | integer[] | Yes | — | Required, each item must be greater than or equal to 1 |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
},
"contactId": {
"type": "integer",
"description": "Required if LoyaltySubscriptionId is not provided, must be greater than 0"
},
"loyaltySubscriptionId": {
"type": "string",
"description": "Required if ContactId is not provided, max length 64"
},
"memberContactIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Required, each item must be greater than or equal to 1"
}
},
"required": [
"PCID",
"pid",
"memberContactIds"
]
}
brevo_loyalty_subscribe_to_loyalty_program
Create subscription Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
contactId | integer | Yes | — | Required contact ID; must be greater than 0. |
creationDate | string | No | — | Optional creation date in ISO 8601 format (YYYY-MM-DDThh:mm:ss.ffffff+HH:MM). Must be in the past. |
loyaltySubscriptionId | string | No | — | Optional subscription ID (max length 64). |
meta | object | No | — | Optional metadata associated with the subscription. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
},
"contactId": {
"type": "integer",
"description": "Required contact ID; must be greater than 0."
},
"creationDate": {
"type": "string",
"description": "Optional creation date in ISO 8601 format (YYYY-MM-DDThh:mm:ss.ffffff+HH:MM). Must be in the past."
},
"loyaltySubscriptionId": {
"type": "string",
"description": "Optional subscription ID (max length 64)."
},
"meta": {
"type": "object",
"description": "Optional metadata associated with the subscription."
}
},
"required": [
"PCID",
"pid",
"contactId"
]
}
brevo_loyalty_update_balance_definition
Update balance definition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
bdid | string | Yes | — | Balance Definition Id |
balanceAvailabilityDurationModifier | string | No | — | Defines when the balance expires within the selected duration. |
balanceAvailabilityDurationUnit | string | No | — | Unit of time for balance validity. |
balanceAvailabilityDurationValue | integer | No | — | Number of time units before the balance expires. |
balanceExpirationDate | string | No | — | Expiration date (dd/mm format) or empty if not applicable. |
balanceOptionAmountOvertakingStrategy | string | No | — | Defines whether partial credit is allowed when reaching max balance. |
balanceOptionCreditRounding | string | No | — | Rounding strategy for credit transactions. |
balanceOptionDebitRounding | string | No | — | Rounding strategy for debit transactions. |
description | string | No | — | Short description of the balance definition. |
imageRef | string | No | — | URL of an optional image reference. |
maxAmount | number | No | — | Maximum allowable balance amount. |
maxCreditAmountLimit | number | No | — | Maximum credit allowed per operation. |
maxDebitAmountLimit | number | No | — | Maximum debit allowed per operation. |
meta | object | No | — | Optional metadata for the balance definition. |
minAmount | number | No | — | Minimum allowable balance amount. |
name | string | No | — | Name of the balance definition. |
unit | string | No | — | Unit of balance measurement. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"bdid": {
"type": "string",
"description": "Balance Definition Id"
},
"balanceAvailabilityDurationModifier": {
"type": "string",
"description": "Defines when the balance expires within the selected duration.",
"enum": [
"noModification",
"startOfPeriod",
"endOfPeriod"
]
},
"balanceAvailabilityDurationUnit": {
"type": "string",
"description": "Unit of time for balance validity.",
"enum": [
"day",
"week",
"month",
"year"
]
},
"balanceAvailabilityDurationValue": {
"type": "integer",
"description": "Number of time units before the balance expires."
},
"balanceExpirationDate": {
"type": "string",
"description": "Expiration date (`dd/mm` format) or empty if not applicable."
},
"balanceOptionAmountOvertakingStrategy": {
"type": "string",
"description": "Defines whether partial credit is allowed when reaching max balance.",
"enum": [
"strict",
"partial"
]
},
"balanceOptionCreditRounding": {
"type": "string",
"description": "Rounding strategy for credit transactions.",
"enum": [
"lower",
"upper",
"natural"
]
},
"balanceOptionDebitRounding": {
"type": "string",
"description": "Rounding strategy for debit transactions.",
"enum": [
"lower",
"upper",
"natural"
]
},
"description": {
"type": "string",
"description": "Short description of the balance definition."
},
"imageRef": {
"type": "string",
"description": "URL of an optional image reference."
},
"maxAmount": {
"type": "number",
"description": "Maximum allowable balance amount."
},
"maxCreditAmountLimit": {
"type": "number",
"description": "Maximum credit allowed per operation."
},
"maxDebitAmountLimit": {
"type": "number",
"description": "Maximum debit allowed per operation."
},
"meta": {
"type": "object",
"description": "Optional metadata for the balance definition.",
"properties": {
"isInternal": {
"type": "boolean",
"description": "Indicates whether the balance definition is internal."
}
}
},
"minAmount": {
"type": "number",
"description": "Minimum allowable balance amount."
},
"name": {
"type": "string",
"description": "Name of the balance definition."
},
"unit": {
"type": "string",
"description": "Unit of balance measurement.",
"enum": [
"POINTS",
"EUR",
"USD",
"MXN",
"GBP",
"INR",
"CAD",
"SGD",
"RON",
"JPY",
"MYR",
"CLP",
"PEN",
"MAD",
"AUD",
"CHF",
"BRL"
]
}
},
"required": [
"PCID",
"pid",
"bdid"
]
}
brevo_loyalty_update_balance_limit
Updates balance limit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program Id |
bdid | string | Yes | — | Balance Definition Id |
blid | string | Yes | — | Balance Limit Id |
constraintType | string | No | — | Defines whether the limit applies to transaction count or amount. |
durationUnit | string | No | — | Unit of time for which the limit is applicable. |
durationValue | integer | No | — | Number of time units for the balance limit. |
slidingSchedule | boolean | No | — | Determines if the limit resets on a rolling schedule. |
transactionType | string | No | — | Specifies whether the limit applies to credit or debit transactions. |
value | integer | No | — | Maximum allowed value for the specified constraint type. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program Id"
},
"bdid": {
"type": "string",
"description": "Balance Definition Id"
},
"blid": {
"type": "string",
"description": "Balance Limit Id"
},
"constraintType": {
"type": "string",
"description": "Defines whether the limit applies to transaction count or amount.",
"enum": [
"transaction",
"amount"
]
},
"durationUnit": {
"type": "string",
"description": "Unit of time for which the limit is applicable.",
"enum": [
"day",
"week",
"month",
"year"
]
},
"durationValue": {
"type": "integer",
"description": "Number of time units for the balance limit."
},
"slidingSchedule": {
"type": "boolean",
"description": "Determines if the limit resets on a rolling schedule."
},
"transactionType": {
"type": "string",
"description": "Specifies whether the limit applies to credit or debit transactions.",
"enum": [
"credit",
"debit"
]
},
"value": {
"type": "integer",
"description": "Maximum allowed value for the specified constraint type."
}
},
"required": [
"PCID",
"pid",
"bdid",
"blid"
]
}
brevo_loyalty_update_loyalty_program
Update loyalty program Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID. A unique identifier for the loyalty program. |
description | string | No | — | Loyalty Program description |
meta | object | No | — | Loyalty Program meta data |
name | string | No | — | Loyalty Program name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID. A unique identifier for the loyalty program."
},
"description": {
"type": "string",
"description": "Loyalty Program description"
},
"meta": {
"type": "object",
"description": "Loyalty Program meta data"
},
"name": {
"type": "string",
"description": "Loyalty Program name"
}
},
"required": [
"PCID",
"pid"
]
}
brevo_loyalty_update_tier
Update tier Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
tid | string | Yes | — | Tier ID |
accessConditions | object[] | No | — | Access Conditions |
imageRef | string | No | — | Image of the tier |
name | string | No | — | Name of the tier to be created |
tierRewards | object[] | No | — | Tier Rewards |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"tid": {
"type": "string",
"description": "Tier ID"
},
"accessConditions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"balanceDefinitionId": {
"type": "string",
"format": "uuid",
"description": "Balance definition identifier for accessing the tier"
},
"minimumValue": {
"type": "integer",
"description": "Minimum value required to access the tier"
}
}
},
"description": "Access Conditions"
},
"imageRef": {
"type": "string",
"description": "Image of the tier"
},
"name": {
"type": "string",
"description": "Name of the tier to be created"
},
"tierRewards": {
"type": "array",
"items": {
"type": "object",
"properties": {
"rewardId": {
"type": "string",
"format": "uuid",
"description": "Reward unique identifier"
}
}
},
"description": "Tier Rewards"
}
},
"required": [
"PCID",
"pid",
"tid"
]
}
brevo_loyalty_update_tier_group
Update tier group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
gid | string | Yes | — | Tier group ID |
downgradeStrategy | string | No | — | Select real_time to downgrade tier on real time balance updates. Select membership_anniversary to downgrade tier on subscription anniversary. Select tier_anniversary to downgrade tier on tier anniversary. |
meta | object | No | — | Additional metadata for the tier group. |
name | string | No | — | Name of the tier group |
tierOrder | string[] | No | — | Order of the tiers in the group in ascending order |
upgradeStrategy | string | No | — | Select real_time to upgrade tier on real time balance updates. Select membership_anniversary to upgrade tier on subscription anniversary. Select tier_anniversary to upgrade tier on tier anniversary. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"gid": {
"type": "string",
"description": "Tier group ID"
},
"downgradeStrategy": {
"type": "string",
"description": "Select real_time to downgrade tier on real time balance updates. Select membership_anniversary to downgrade tier on subscription anniversary. Select tier_anniversary to downgrade tier on tier anniversary.",
"enum": [
"real_time",
"membership_anniversary",
"tier_anniversary"
]
},
"meta": {
"type": "object",
"description": "Additional metadata for the tier group.",
"properties": {
"isInternal": {
"type": "boolean",
"description": "Indicates whether the tier group is internal."
}
}
},
"name": {
"type": "string",
"description": "Name of the tier group"
},
"tierOrder": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Order of the tiers in the group in ascending order"
},
"upgradeStrategy": {
"type": "string",
"description": "Select real_time to upgrade tier on real time balance updates. Select membership_anniversary to upgrade tier on subscription anniversary. Select tier_anniversary to upgrade tier on tier anniversary.",
"enum": [
"real_time",
"membership_anniversary",
"tier_anniversary"
]
}
},
"required": [
"PCID",
"pid",
"gid"
]
}
brevo_loyalty_validate_reward
Validate a reward Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pid | string | Yes | — | Loyalty Program ID |
attributedRewardId | string | No | — | Unique identifier for the attributed reward |
code | string | No | — | Validation code for the reward |
contactId | integer | No | — | Unique identifier for the contact |
loyaltySubscriptionId | string | No | — | Identifier for the loyalty subscription |
pointOfSellId | string | No | — | Identifier for the point of sale |
rewardId | string | No | — | Unique identifier for the reward |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pid": {
"type": "string",
"description": "Loyalty Program ID"
},
"attributedRewardId": {
"type": "string",
"description": "Unique identifier for the attributed reward"
},
"code": {
"type": "string",
"description": "Validation code for the reward"
},
"contactId": {
"type": "integer",
"description": "Unique identifier for the contact"
},
"loyaltySubscriptionId": {
"type": "string",
"description": "Identifier for the loyalty subscription"
},
"pointOfSellId": {
"type": "string",
"description": "Identifier for the point of sale"
},
"rewardId": {
"type": "string",
"description": "Unique identifier for the reward"
}
},
"required": [
"PCID",
"pid"
]
}

